php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16461 Can't compile php4.1.2 with Apache2.0.35
Submitted: 2002-04-06 10:11 UTC Modified: 2004-07-13 12:12 UTC
From: marat at nihol dot com Assigned:
Status: Not a bug Package: Apache2 related
PHP Version: 4.1.2 OS: Linux Slackware 8.0
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: marat at nihol dot com
New email:
PHP Version: OS:

 

 [2002-04-06 10:11 UTC] marat at nihol dot com
When compiling php4.1.2, configured with apxs2 of Apache 2.0.35:

sapi_apache2.c: In function `php_apache_sapi_ub_write':
sapi_apache2.c:58: too few arguments to function `apr_brigade_create'
sapi_apache2.c:61: too few arguments to function `apr_bucket_transient_create'
sapi_apache2.c: In function `php_apache_sapi_register_variables':
sapi_apache2.c:148: warning: initialization discards qualifiers from pointer target type
sapi_apache2.c: In function `php_apache_sapi_flush':
sapi_apache2.c:171: too few arguments to function `apr_brigade_create'
sapi_apache2.c:172: too few arguments to function `apr_bucket_flush_create'
sapi_apache2.c: In function `php_input_filter':
sapi_apache2.c:245: too few arguments to function `apr_brigade_create'
sapi_apache2.c:247: incompatible type for argument 4 of `ap_get_brigade'
sapi_apache2.c:247: too few arguments to function `ap_get_brigade'
sapi_apache2.c: In function `php_output_filter':
sapi_apache2.c:311: too few arguments to function `apr_brigade_create'
sapi_apache2.c:366: too few arguments to function `apr_bucket_transient_create'
sapi_apache2.c:375: too few arguments to function `apr_bucket_eos_create'
sapi_apache2.c: In function `php_register_hook':
sapi_apache2.c:407: `AP_FTYPE_CONTENT' undeclared (first use in this function)
sapi_apache2.c:407: (Each undeclared identifier is reported only once
sapi_apache2.c:407: for each function it appears in.)
sapi_apache2.c:408: warning: passing arg 2 of `ap_register_input_filter' from incompatible pointer type
make[3]: *** [sapi_apache2.lo] Error 1
make[3]: Leaving directory `/home/marat/apache2/php-4.1.2/sapi/apache2filter'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/marat/apache2/php-4.1.2/sapi/apache2filter'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/marat/apache2/php-4.1.2/sapi'
make: *** [all-recursive] Error 1


Apache 2.0.35 was configured by options --enable-so --enable-MODULE=shared

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-06 10:16 UTC] sander@php.net
We know that, you'll need 4.2.0 to compile with Apache 2.x
You can try RC2 from www.php.net/~derick
 [2002-04-06 10:51 UTC] marat at nihol dot com
I'm trying 4.2.0.RC2 from www.php.net/~derick:

make[3]: Entering directory `/home/marat/apache2/php-4.2.0RC2/sapi/apache2filter'
/bin/sh /home/marat/apache2/php-4.2.0RC2/libtool --silent --mode=compile gcc  -I. -I/home/marat/apache2/php-4.2.0RC2/sapi/apache2filter -I/home/marat/apache2/php-4.2.0RC2/main -I/home/marat/apache2/php-4.2.0RC2 -I/usr/local/apache2/include -I/home/marat/apache2/php-4.2.0RC2/Zend -I/home/marat/apache2/mysql-3.23.49-pc-linux-gnu-i686/include -I/home/marat/apache2/php-4.2.0RC2/ext/xml/expat  -D_REENTRANT -I/home/marat/apache2/php-4.2.0RC2/TSRM -g -O2 -pthread -DZTS -prefer-pic  -c sapi_apache2.c
sapi_apache2.c: In function `php_apache_sapi_ub_write':
sapi_apache2.c:58: too few arguments to function `apr_brigade_create'
sapi_apache2.c:61: too few arguments to function `apr_bucket_transient_create'
sapi_apache2.c: In function `php_apache_sapi_flush':
sapi_apache2.c:174: too few arguments to function `apr_brigade_create'
sapi_apache2.c:175: too few arguments to function `apr_bucket_flush_create'
sapi_apache2.c: In function `php_input_filter':
sapi_apache2.c:257: too few arguments to function `apr_brigade_create'
sapi_apache2.c: In function `php_output_filter':
sapi_apache2.c:331: too few arguments to function `apr_brigade_create'
sapi_apache2.c:386: too few arguments to function `apr_bucket_transient_create'
sapi_apache2.c:395: too few arguments to function `apr_bucket_eos_create'
make[3]: *** [sapi_apache2.lo] Error 1
make[3]: Leaving directory `/home/marat/apache2/php-4.2.0RC2/sapi/apache2filter'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/marat/apache2/php-4.2.0RC2/sapi/apache2filter'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/marat/apache2/php-4.2.0RC2/sapi'
make: *** [all-recursive] Error 1
root@sf:~/apache2/php-4.2.0RC2#


PHP:
./configure --with-mysql=../mysql-3.23.49-pc-linux-gnu-i686/ --with-apxs2=/usr/local/apache2/bin/apxs

APACHE:
./configure --enable-so --enable-MODULE=shared

:(

In file: php-4.2.0RC2/sapi/apache2filter/sapi_apache2.c, line 58:

        bb = apr_brigade_create(ctx->f->r->pool);

But in file: httpd-2.0.35/srclib/apr-util/include/apr_buckets.h, line 646, declaration of this function:

APU_DECLARE(apr_bucket_brigade *) apr_brigade_create(apr_pool_t *p,
                                                     apr_bucket_alloc_t *list);
 [2002-04-06 11:04 UTC] sniper@php.net
You need to wait for RC3 since the patch which fixes this
was applied after RC2 was released.

Or get the latest CVS snapshot from http://snaps.php.net/

 [2004-07-08 06:02 UTC] aslam_11 at engineer dot com
But cant we compile PHP4.1.2 with Apache2. I was trying php is throughing same error. Is there any way to do that?
Please suggest me.

Aslam
 [2004-07-13 11:45 UTC] nemeth-peter at np dot hu
I have winXP, Apache 2.0.50 and PHP 4.2.3.
When I try to load PHP as module and I restart my Apache server, the Apache find an error:
module "c:\\php4build\\snap\\apache2_filter\\sapi_apache2.c" is not compatible with this version of Apache (found:2002682, need:2002963). Please contact the vendor for the correct version.
I don't find the directory "c:\\(!?)php4build\\..." , and I don't know what can I do...

__________________
N?meth P?ter
Hungary
 [2004-07-13 12:12 UTC] tularis@php.net
First of all, your problem has nothing to do with this (bogus) bugreport, instead you might want to ask on one of the newsgroups.
Then, the errors you are seeing, or to be more precise, the path you are seeing is the path to the directory where the C sourcecode-file was while being compiled. Seen as you are using a PHP snapshot, that was compiled on one of the php.net servers, it will point to a local path there. Don't worry about that.

I suggest you get a new snapshot though, PHP 4.3.7 is the latest release, and has much better support for... everything... than 4.2.3
 [2004-07-13 12:12 UTC] tularis@php.net
First of all, your problem has nothing to do with this (bogus) bugreport, instead you might want to ask on one of the newsgroups.
Then, the errors you are seeing, or to be more precise, the path you are seeing is the path to the directory where the C sourcecode-file was while being compiled. Seen as you are using a PHP snapshot, that was compiled on one of the php.net servers, it will point to a local path there. Don't worry about that.

I suggest you get a new snapshot though, PHP 4.3.7 is the latest release, and has much better support for... everything... than 4.2.3
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Dec 09 01:03:34 2021 UTC